Bug 135866 - sysutils/xfce-cpugraph-plugin fixes for amd64
Summary: sysutils/xfce-cpugraph-plugin fixes for amd64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-20 16:30 UTC by J.R. Oldroyd
Modified: 2009-07-01 13:40 UTC (History)
0 users

See Also:


Attachments
file.diff (2.57 KB, patch)
2009-06-20 16:30 UTC, J.R. Oldroyd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description J.R. Oldroyd 2009-06-20 16:30:06 UTC
sysutils/xfce-cpugraph-plugin core dumps on amd64.
This is due to mixed use of ints and longs which cause no problems on i386
but are different things on amd64.  Patch below fixes this.  Also adds a header
to avoid compiler warnings.  And corrects a spelling error.
Finally, also a change of maintainer.
Comment 1 Martin Wilke freebsd_committer 2009-06-21 21:22:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2009-07-01 13:33:20 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2009-07-01 13:33:25 UTC
miwi        2009-07-01 12:33:11 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/xfce4-cpugraph-plugin Makefile 
  Added files:
    sysutils/xfce4-cpugraph-plugin/files patch-panel-plugin-cpu.c 
                                         patch-panel-plugin-cpu.h 
  Log:
  - Fix core dump on AMD64
  - Pass maintainership to submitter
  
  PR:             135866
  Submitted by:   "J.R. Oldroyd" <fbsd@opal.com>
  
  Revision  Changes    Path
  1.31      +2 -2      ports/sysutils/xfce4-cpugraph-plugin/Makefile
  1.1       +20 -0     ports/sysutils/xfce4-cpugraph-plugin/files/patch-panel-plugin-cpu.c (new)
  1.1       +19 -0     ports/sysutils/xfce4-cpugraph-plugin/files/patch-panel-plugin-cpu.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"